Bug 199935 - devel/codeblocks: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12 ===> Compilation failed unexpectedly.
Summary: devel/codeblocks: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-04 18:46 UTC by a.n.us
Modified: 2015-12-22 15:23 UTC (History)
2 users (show)

See Also:


Attachments
c++: note: diagnostic msg: /tmp/cbthreadpool-4f2bc5.cpp, c++: note: diagnostic msg: /tmp/cbthreadpool-4f2bc5.sh (953 bytes, application/x-shellscript)
2015-05-04 18:46 UTC, a.n.us
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description a.n.us 2015-05-04 18:46:07 UTC
Created attachment 156346 [details]
c++: note: diagnostic msg: /tmp/cbthreadpool-4f2bc5.cpp, c++: note: diagnostic msg: /tmp/cbthreadpool-4f2bc5.sh

FreeBSD FBSD11 11.0-CURRENT FreeBSD 11.0-CURRENT #1 r281839: Wed Apr 22 07:40:44 EDT 2015     root@FBSD11:/usr/obj/usr/src/sys/MYKERNEL  amd64

Trying to build codeblocks fails with:

--- cbthreadpool.lo ---
c++: error: unable to execute command: Abort trap (core dumped)
c++: error: clang frontend command failed due to signal (use -v to see invocation)
FreeBSD clang version 3.6.0 (tags/RELEASE_360/final 230434) 20150225
Target: x86_64-unknown-freebsd11.0
Thread model: posix
c++: note: diagnostic msg: PLEASE submit a bug report to https://bugs.freebsd.org/submit/ and include the crash backtrace, preprocessed source, and associated run script.
--- cbworkspace.lo ---
In file included from cbworkspace.cpp:10:
In file included from ../../src/include/sdk_precomp.h:13:
In file included from ../../src/include/sdk_common.h:150:
In file included from ../../src/include/filemanager.h:13:
../../src/include/backgroundthread.h:143:13: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        if (this && IsRunning())
            ^~~~ ~~
3 warnings generated.
mv -f .deps/cbworkspace.Tpo .deps/cbworkspace.Plo
--- compiler.lo ---
/bin/sh ../../libtool --tag=CXX    --mode=compile c++ -DHAVE_CONFIG_H -I. -I../../src/include   -I/usr/local/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/local/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -D_THREAD_SAFE  -I../../src/include  -I../../src/sdk/wxscintilla/include  -I../../src/sdk/wxpropgrid/include  -I../../src/include/tinyxml  -I../../src/include/scripting/include  -I../../src/include/scripting/bindings  -I../../src/include/scripting/sqplus  -I../../src/include/mozilla_chardet  -I../../src/include/mozilla_chardet/mfbt  -I../../src/include/mozilla_chardet/nsprpub/pr/include  -I../../src/include/mozilla_chardet/xpcom  -I../../src/include/mozilla_chardet/xpcom/base  -I../../src/include/mozilla_chardet/xpcom/glue -I/usr/local/include -ansi -DTIXML_USE_STL  -O2 -ffast-math -DCB_AUTOCONF -O2 -pipe  -fstack-protector -fno-strict-aliasing  -std=c++11 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT compiler.lo -MD -MP -MF .deps/compiler.Tpo -c -o compiler.lo compiler.cpp
libtool: compile:  c++ -DHAVE_CONFIG_H -I. -I../../src/include -I/usr/local/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/local/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -D_THREAD_SAFE -I../../src/include -I../../src/sdk/wxscintilla/include -I../../src/sdk/wxpropgrid/include -I../../src/include/tinyxml -I../../src/include/scripting/include -I../../src/include/scripting/bindings -I../../src/include/scripting/sqplus -I../../src/include/mozilla_chardet -I../../src/include/mozilla_chardet/mfbt -I../../src/include/mozilla_chardet/nsprpub/pr/include -I../../src/include/mozilla_chardet/xpcom -I../../src/include/mozilla_chardet/xpcom/base -I../../src/include/mozilla_chardet/xpcom/glue -I/usr/local/include -ansi -DTIXML_USE_STL -O2 -ffast-math -DCB_AUTOCONF -O2 -pipe -fstack-protector -fno-strict-aliasing -std=c++11 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT compiler.lo -MD -MP -MF .deps/compiler.Tpo -c compiler.cpp  -fPIC -DPIC -o .libs/compiler.o
--- cbthreadpool.lo ---
c++: note: diagnostic msg: 
********************

PLEASE ATTACH THE FOLLOWING FILES TO THE BUG REPORT:
Preprocessed source(s) and associated run script(s) are located at:
c++: note: diagnostic msg: /tmp/cbthreadpool-4f2bc5.cpp
c++: note: diagnostic msg: /tmp/cbthreadpool-4f2bc5.sh
c++: note: diagnostic msg: 

********************
*** [cbthreadpool.lo] Error code 1

make[4]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12/src/sdk
--- compileoptionsbase.lo ---
In file included from compileoptionsbase.cpp:10:
In file included from ../../src/include/sdk_precomp.h:13:
In file included from ../../src/include/sdk_common.h:124:
In file included from ../../src/include/cbproject.h:15:
../../src/include/misctreeitemdata.h:20:40: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        wxEvtHandler *GetOwner() { if(!this) return 0L;return m_owner; }
                                      ~^~~~
../../src/include/misctreeitemdata.h:24:50: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        void SetOwner(wxEvtHandler *owner) { if(!this) return; m_owner=owner; }
                                                ~^~~~
In file included from compileoptionsbase.cpp:10:
In file included from ../../src/include/sdk_precomp.h:13:
In file included from ../../src/include/sdk_common.h:150:
In file included from ../../src/include/filemanager.h:13:
../../src/include/backgroundthread.h:143:13: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        if (this && IsRunning())
            ^~~~ ~~
3 warnings generated.
mv -f .deps/compileoptionsbase.Tpo .deps/compileoptionsbase.Plo
--- compiler.lo ---
In file included from compiler.cpp:10:
In file included from ../../src/include/sdk_precomp.h:13:
In file included from ../../src/include/sdk_common.h:124:
In file included from ../../src/include/cbproject.h:15:
../../src/include/misctreeitemdata.h:20:40: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        wxEvtHandler *GetOwner() { if(!this) return 0L;return m_owner; }
                                      ~^~~~
../../src/include/misctreeitemdata.h:24:50: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        void SetOwner(wxEvtHandler *owner) { if(!this) return; m_owner=owner; }
                                                ~^~~~
In file included from compiler.cpp:10:
In file included from ../../src/include/sdk_precomp.h:13:
In file included from ../../src/include/sdk_common.h:150:
In file included from ../../src/include/filemanager.h:13:
../../src/include/backgroundthread.h:143:13: warning: 'this' pointer cannot be null in well-defined C++ code; pointer may be assumed to always convert to true [-Wundefined-bool-conversion]
        if (this && IsRunning())
            ^~~~ ~~
3 warnings generated.
mv -f .deps/compiler.Tpo .deps/compiler.Plo
1 error

make[4]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12/src/sdk
*** [all-recursive] Error code 1

make[3]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12/src/sdk
1 error

make[3]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12/src/sdk
*** [all-recursive] Error code 1

make[2]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12/src
1 error

make[2]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12/src
*** [all-recursive] Error code 1

make[1]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12
1 error

make[1]: stopped in /usr/ports/devel/codeblocks/work/codeblocks-13.12
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1
Comment 1 Martin Wilke freebsd_committer 2015-12-21 16:48:00 UTC
Hi,

Sorry for the very late feedback from our side, Is this problem still present for you?
Comment 2 John Marino freebsd_committer 2015-12-21 16:49:05 UTC
Hi Martin, according to portsmon, the report is still valid on CURRENT.
Comment 3 Martin Wilke freebsd_committer 2015-12-22 15:23:35 UTC
Fixed with 203160.